# Makefile.in generated automatically by automake 1.4 from Makefile.am

# Copyright (C) 1994, 1995-8, 1999 Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.


SHELL = @SHELL@

srcdir = @srcdir@
top_srcdir = @top_srcdir@
VPATH = @srcdir@
prefix = @prefix@
exec_prefix = @exec_prefix@

bindir = @bindir@
sbindir = @sbindir@
libexecdir = @libexecdir@
datadir = @datadir@
sysconfdir = @sysconfdir@
sharedstatedir = @sharedstatedir@
localstatedir = @localstatedir@
libdir = @libdir@
infodir = @infodir@
mandir = @mandir@
includedir = @includedir@
oldincludedir = /usr/include

DESTDIR =

pkgdatadir = $(datadir)/@PACKAGE@
pkglibdir = $(libdir)/@PACKAGE@
pkgincludedir = $(includedir)/@PACKAGE@

top_builddir = ../../../..

ACLOCAL = @ACLOCAL@
AUTOCONF = @AUTOCONF@
AUTOMAKE = @AUTOMAKE@
AUTOHEADER = @AUTOHEADER@

INSTALL = @INSTALL@
INSTALL_PROGRAM = @INSTALL_PROGRAM@ $(AM_INSTALL_PROGRAM_FLAGS)
INSTALL_DATA = @INSTALL_DATA@
INSTALL_SCRIPT = @INSTALL_SCRIPT@
transform = @program_transform_name@

NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
host_alias = @host_alias@
host_triplet = @host@
AS = @AS@
BUILD_GUILE = @BUILD_GUILE@
CATALOGS = @CATALOGS@
CATOBJEXT = @CATOBJEXT@
CC = @CC@
DATADIRNAME = @DATADIRNAME@
DB_LIBS = @DB_LIBS@
DLLTOOL = @DLLTOOL@
DL_LIB = @DL_LIB@
EFENCE_LIBS = @EFENCE_LIBS@
GDK_PIXBUF_CFLAGS = @GDK_PIXBUF_CFLAGS@
GDK_PIXBUF_CONFIG = @GDK_PIXBUF_CONFIG@
GDK_PIXBUF_LIBS = @GDK_PIXBUF_LIBS@
GENCAT = @GENCAT@
GHTTP_CFLAGS = @GHTTP_CFLAGS@
GHTTP_LIBS = @GHTTP_LIBS@
GLADE_CFLAGS = @GLADE_CFLAGS@
GLADE_LIBS = @GLADE_LIBS@
GLIB_CFLAGS = @GLIB_CFLAGS@
GLIB_CONFIG = @GLIB_CONFIG@
GLIB_LIBS = @GLIB_LIBS@
GMOFILES = @GMOFILES@
GMSGFMT = @GMSGFMT@
GNC_ACCOUNTS_DIR = @GNC_ACCOUNTS_DIR@
GNC_ADD_ON_SRFIS = @GNC_ADD_ON_SRFIS@
GNC_CONFIGDIR = @GNC_CONFIGDIR@
GNC_DOC_INSTALL_DIR = @GNC_DOC_INSTALL_DIR@
GNC_GLADE_DIR = @GNC_GLADE_DIR@
GNC_GWRAP_LIBDIR = @GNC_GWRAP_LIBDIR@
GNC_HELPDIR = @GNC_HELPDIR@
GNC_INCLUDE_DIR = @GNC_INCLUDE_DIR@
GNC_LIBDIR = @GNC_LIBDIR@
GNC_MODULE_DIR = @GNC_MODULE_DIR@
GNC_PIXMAP_DIR = @GNC_PIXMAP_DIR@
GNC_SCM_INSTALL_DIR = @GNC_SCM_INSTALL_DIR@
GNC_SHAREDIR = @GNC_SHAREDIR@
GNC_TAGS_FILE = @GNC_TAGS_FILE@
GNOMEGNORBA_LIBS = @GNOMEGNORBA_LIBS@
GNOMEUI_LIBS = @GNOMEUI_LIBS@
GNOME_APPLETS_LIBS = @GNOME_APPLETS_LIBS@
GNOME_CAPPLET_LIBS = @GNOME_CAPPLET_LIBS@
GNOME_CONFIG = @GNOME_CONFIG@
GNOME_DOCKLETS_LIBS = @GNOME_DOCKLETS_LIBS@
GNOME_INCLUDEDIR = @GNOME_INCLUDEDIR@
GNOME_LIBDIR = @GNOME_LIBDIR@
GNOME_LIBS = @GNOME_LIBS@
GNOME_PRINT_CFLAGS = @GNOME_PRINT_CFLAGS@
GNOME_PRINT_LIBS = @GNOME_PRINT_LIBS@
GNOME_XML_CFLAGS = @GNOME_XML_CFLAGS@
GNOME_XML_LIB = @GNOME_XML_LIB@
GNORBA_CFLAGS = @GNORBA_CFLAGS@
GNORBA_LIBS = @GNORBA_LIBS@
GNUCASH_APP_UTILS_CFLAGS = @GNUCASH_APP_UTILS_CFLAGS@
GNUCASH_APP_UTILS_LIBS = @GNUCASH_APP_UTILS_LIBS@
GNUCASH_ENGINE_BASE_CFLAGS = @GNUCASH_ENGINE_BASE_CFLAGS@
GNUCASH_ENGINE_BASE_LIBS = @GNUCASH_ENGINE_BASE_LIBS@
GNUCASH_ENGINE_CFLAGS = @GNUCASH_ENGINE_CFLAGS@
GNUCASH_ENGINE_LIBS = @GNUCASH_ENGINE_LIBS@
GNUCASH_GNOME_UTILS_CFLAGS = @GNUCASH_GNOME_UTILS_CFLAGS@
GNUCASH_GNOME_UTILS_LIBS = @GNUCASH_GNOME_UTILS_LIBS@
GNUCASH_MAJOR_VERSION = @GNUCASH_MAJOR_VERSION@
GNUCASH_MICRO_VERSION = @GNUCASH_MICRO_VERSION@
GNUCASH_MINOR_VERSION = @GNUCASH_MINOR_VERSION@
GNUCASH_NETWORK_UTILS_CFLAGS = @GNUCASH_NETWORK_UTILS_CFLAGS@
GNUCASH_NETWORK_UTILS_LIBS = @GNUCASH_NETWORK_UTILS_LIBS@
GNUCASH_REGISTER_CORE_CFLAGS = @GNUCASH_REGISTER_CORE_CFLAGS@
GNUCASH_REGISTER_CORE_LIBS = @GNUCASH_REGISTER_CORE_LIBS@
GTKHTML_CFLAGS = @GTKHTML_CFLAGS@
GTKHTML_LIBS = @GTKHTML_LIBS@
GTKXMHTML_LIBS = @GTKXMHTML_LIBS@
GTK_XIM_FLAGS = @GTK_XIM_FLAGS@
GT_NO = @GT_NO@
GT_YES = @GT_YES@
GUILE = @GUILE@
GUILE_INCS = @GUILE_INCS@
GUILE_LIBS = @GUILE_LIBS@
GUPPI_CFLAGS = @GUPPI_CFLAGS@
GUPPI_LIBS = @GUPPI_LIBS@
G_WRAP_COMPILE_ARGS = @G_WRAP_COMPILE_ARGS@
G_WRAP_CONFIG = @G_WRAP_CONFIG@
G_WRAP_LINK_ARGS = @G_WRAP_LINK_ARGS@
G_WRAP_MODULE_DIR = @G_WRAP_MODULE_DIR@
INCLUDE_LOCALE_H = @INCLUDE_LOCALE_H@
INSTOBJEXT = @INSTOBJEXT@
INTLDEPS = @INTLDEPS@
INTLLIBS = @INTLLIBS@
INTLOBJS = @INTLOBJS@
LIBGUPPI_CFLAGS = @LIBGUPPI_CFLAGS@
LIBGUPPI_LIBS = @LIBGUPPI_LIBS@
LIBTOOL = @LIBTOOL@
LN_S = @LN_S@
LOCALE_DIR = @LOCALE_DIR@
MAINT = @MAINT@
MAKEINFO = @MAKEINFO@
MKINSTALLDIRS = @MKINSTALLDIRS@
MSGFMT = @MSGFMT@
OBJDUMP = @OBJDUMP@
ORBIT_CFLAGS = @ORBIT_CFLAGS@
ORBIT_CONFIG = @ORBIT_CONFIG@
ORBIT_IDL = @ORBIT_IDL@
ORBIT_LIBS = @ORBIT_LIBS@
PACKAGE = @PACKAGE@
PERL = @PERL@
PERLINCL = @PERLINCL@
POFILES = @POFILES@
POSUB = @POSUB@
QTTHREADS_LIB = @QTTHREADS_LIB@
RANLIB = @RANLIB@
READLINE_LIB = @READLINE_LIB@
RPC_DIR = @RPC_DIR@
SQL_DIR = @SQL_DIR@
TERMCAP_LIB = @TERMCAP_LIB@
USE_INCLUDED_LIBINTL = @USE_INCLUDED_LIBINTL@
USE_NLS = @USE_NLS@
VERSION = @VERSION@
ZVT_LIBS = @ZVT_LIBS@
cflags_set = @cflags_set@
cxxflags_set = @cxxflags_set@
l = @l@

TESTS =    test-load-module   test-escape   run-tests.sh


TESTS_ENVIRONMENT =    GNC_MODULE_PATH=${top_srcdir}/src/engine::${top_srcdir}/src/backend/file:${top_srcdir}/src/backend/postgres:${top_srcdir}/src/guile:${top_srcdir}/src/scm   GUILE_LOAD_PATH=${G_WRAP_MODULE_DIR}:..:${top_srcdir}/src/gnc-module   LTDL_LIBRARY_PATH=${top_srcdir}/src/gnc-module   LD_LIBRARY_PATH=${LD_LIBRARY_PATH}:${top_srcdir}/src/gnc-module:${top_srcdir}/src/gnc-module/.libs:${top_srcdir}/src/engine:${top_srcdir}/src/engine/.libs:${top_srcdir}/src/guile:${top_srcdir}/src/guile/.libs


noinst_PROGRAMS =    test-db   test-escape


LDADD = -L${top_srcdir}/src/gnc-module -L${top_srcdir}/src/gnc-module/.libs         -L${top_srcdir}/src/engine -L${top_srcdir}/src/engine/.libs         ${top_srcdir}/src/test-core/libgncmod-test.la         ${top_srcdir}/src/gnc-module/libgncmodule.la         ${top_srcdir}/src/engine/libgncmod-engine.la         ${top_srcdir}/src/engine/libgncmod-engine.la         ${top_srcdir}/src/engine/libgw-engine.la         ${top_srcdir}/src/engine/libgw-glib.la         ${top_srcdir}/src/engine/libgw-kvp.la         ${top_srcdir}/src/engine/test-core/libgncmod-test-engine.la 	${top_srcdir}/src/backend/postgres/libgncmod-backend-postgres.la 	${top_srcdir}/src/backend/file/libgncmod-backend-file.la         -lltdl


CFLAGS =    -I${top_srcdir}/src/gnc-module   -I${top_srcdir}/src/test-core   -I${top_srcdir}/src/engine   -I${top_srcdir}/src/engine/test-core   -I..   ${GLIB_CFLAGS}


EXTRA_DIST =    db-control.sh

mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = ../../../../config.h
CONFIG_CLEAN_FILES = 
PROGRAMS =  $(noinst_PROGRAMS)


DEFS = @DEFS@ -I. -I$(srcdir) -I../../../..
CPPFLAGS = @CPPFLAGS@
LDFLAGS = @LDFLAGS@
LIBS = @LIBS@
test_db_SOURCES = test-db.c
test_db_OBJECTS =  test-db.o
test_db_LDADD = $(LDADD)
test_db_DEPENDENCIES =  ${top_srcdir}/src/test-core/libgncmod-test.la \
${top_srcdir}/src/gnc-module/libgncmodule.la \
${top_srcdir}/src/engine/libgncmod-engine.la \
${top_srcdir}/src/engine/libgncmod-engine.la \
${top_srcdir}/src/engine/libgw-engine.la \
${top_srcdir}/src/engine/libgw-glib.la \
${top_srcdir}/src/engine/libgw-kvp.la \
${top_srcdir}/src/engine/test-core/libgncmod-test-engine.la \
${top_srcdir}/src/backend/postgres/libgncmod-backend-postgres.la \
${top_srcdir}/src/backend/file/libgncmod-backend-file.la
test_db_LDFLAGS = 
test_escape_SOURCES = test-escape.c
test_escape_OBJECTS =  test-escape.o
test_escape_LDADD = $(LDADD)
test_escape_DEPENDENCIES =  \
${top_srcdir}/src/test-core/libgncmod-test.la \
${top_srcdir}/src/gnc-module/libgncmodule.la \
${top_srcdir}/src/engine/libgncmod-engine.la \
${top_srcdir}/src/engine/libgncmod-engine.la \
${top_srcdir}/src/engine/libgw-engine.la \
${top_srcdir}/src/engine/libgw-glib.la \
${top_srcdir}/src/engine/libgw-kvp.la \
${top_srcdir}/src/engine/test-core/libgncmod-test-engine.la \
${top_srcdir}/src/backend/postgres/libgncmod-backend-postgres.la \
${top_srcdir}/src/backend/file/libgncmod-backend-file.la
test_escape_LDFLAGS = 
COMPILE = $(CC) $(DEFS) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) --mode=compile $(CC) $(DEFS) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(LIBTOOL) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(LDFLAGS) -o $@
DIST_COMMON =  Makefile.am Makefile.in


DISTFILES = $(DIST_COMMON) $(SOURCES) $(HEADERS) $(TEXINFOS) $(EXTRA_DIST)

TAR = gtar
GZIP_ENV = --best
DEP_FILES =  .deps/test-db.P .deps/test-escape.P
SOURCES = test-db.c test-escape.c
OBJECTS = test-db.o test-escape.o

all: all-redirect
.SUFFIXES:
.SUFFIXES: .S .c .lo .o .s
$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ Makefile.am $(top_srcdir)/configure.in $(ACLOCAL_M4) 
	cd $(top_srcdir) && $(AUTOMAKE) --gnu src/backend/postgres/test/Makefile

Makefile: $(srcdir)/Makefile.in  $(top_builddir)/config.status $(BUILT_SOURCES)
	cd $(top_builddir) \
	  && CONFIG_FILES=$(subdir)/$@ CONFIG_HEADERS= $(SHELL) ./config.status


mostlyclean-noinstPROGRAMS:

clean-noinstPROGRAMS:
	-test -z "$(noinst_PROGRAMS)" || rm -f $(noinst_PROGRAMS)

distclean-noinstPROGRAMS:

maintainer-clean-noinstPROGRAMS:

.s.o:
	$(COMPILE) -c $<

.S.o:
	$(COMPILE) -c $<

mostlyclean-compile:
	-rm -f *.o core *.core

clean-compile:

distclean-compile:
	-rm -f *.tab.c

maintainer-clean-compile:

.s.lo:
	$(LIBTOOL) --mode=compile $(COMPILE) -c $<

.S.lo:
	$(LIBTOOL) --mode=compile $(COMPILE) -c $<

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

distclean-libtool:

maintainer-clean-libtool:

test-db: $(test_db_OBJECTS) $(test_db_DEPENDENCIES)
	@rm -f test-db
	$(LINK) $(test_db_LDFLAGS) $(test_db_OBJECTS) $(test_db_LDADD) $(LIBS)

test-escape: $(test_escape_OBJECTS) $(test_escape_DEPENDENCIES)
	@rm -f test-escape
	$(LINK) $(test_escape_LDFLAGS) $(test_escape_OBJECTS) $(test_escape_LDADD) $(LIBS)

tags: TAGS

ID: $(HEADERS) $(SOURCES) $(LISP)
	list='$(SOURCES) $(HEADERS)'; \
	unique=`for i in $$list; do echo $$i; done | \
	  awk '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	here=`pwd` && cd $(srcdir) \
	  && mkid -f$$here/ID $$unique $(LISP)

TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS)'; \
	unique=`for i in $$list; do echo $$i; done | \
	  awk '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	test -z "$(ETAGS_ARGS)$$unique$(LISP)$$tags" \
	  || (cd $(srcdir) && etags $(ETAGS_ARGS) $$tags  $$unique $(LISP) -o $$here/TAGS)

mostlyclean-tags:

clean-tags:

distclean-tags:
	-rm -f TAGS ID

maintainer-clean-tags:

distdir = $(top_builddir)/$(PACKAGE)-$(VERSION)/$(subdir)

subdir = src/backend/postgres/test

distdir: $(DISTFILES)
	here=`cd $(top_builddir) && pwd`; \
	top_distdir=`cd $(top_distdir) && pwd`; \
	distdir=`cd $(distdir) && pwd`; \
	cd $(top_srcdir) \
	  && $(AUTOMAKE) --include-deps --build-dir=$$here --srcdir-name=$(top_srcdir) --output-dir=$$top_distdir --gnu src/backend/postgres/test/Makefile
	@for file in $(DISTFILES); do \
	  d=$(srcdir); \
	  if test -d $$d/$$file; then \
	    cp -pr $$d/$$file $(distdir)/$$file; \
	  else \
	    test -f $(distdir)/$$file \
	    || ln $$d/$$file $(distdir)/$$file 2> /dev/null \
	    || cp -p $$d/$$file $(distdir)/$$file || :; \
	  fi; \
	done

DEPS_MAGIC := $(shell mkdir .deps > /dev/null 2>&1 || :)

-include $(DEP_FILES)

mostlyclean-depend:

clean-depend:

distclean-depend:
	-rm -rf .deps

maintainer-clean-depend:

%.o: %.c
	@echo '$(COMPILE) -c $<'; \
	$(COMPILE) -Wp,-MD,.deps/$(*F).pp -c $<
	@-cp .deps/$(*F).pp .deps/$(*F).P; \
	tr ' ' '\012' < .deps/$(*F).pp \
	  | sed -e 's/^\\$$//' -e '/^$$/ d' -e '/:$$/ d' -e 's/$$/ :/' \
	    >> .deps/$(*F).P; \
	rm .deps/$(*F).pp

%.lo: %.c
	@echo '$(LTCOMPILE) -c $<'; \
	$(LTCOMPILE) -Wp,-MD,.deps/$(*F).pp -c $<
	@-sed -e 's/^\([^:]*\)\.o[ 	]*:/\1.lo \1.o :/' \
	  < .deps/$(*F).pp > .deps/$(*F).P; \
	tr ' ' '\012' < .deps/$(*F).pp \
	  | sed -e 's/^\\$$//' -e '/^$$/ d' -e '/:$$/ d' -e 's/$$/ :/' \
	    >> .deps/$(*F).P; \
	rm -f .deps/$(*F).pp
check-TESTS: $(TESTS)
	@failed=0; all=0; \
	srcdir=$(srcdir); export srcdir; \
	for tst in $(TESTS); do \
	  if test -f $$tst; then dir=.; \
	  else dir="$(srcdir)"; fi; \
	  if $(TESTS_ENVIRONMENT) $$dir/$$tst; then \
	    all=`expr $$all + 1`; \
	    echo "PASS: $$tst"; \
	  elif test $$? -ne 77; then \
	    all=`expr $$all + 1`; \
	    failed=`expr $$failed + 1`; \
	    echo "FAIL: $$tst"; \
	  fi; \
	done; \
	if test "$$failed" -eq 0; then \
	  banner="All $$all tests passed"; \
	else \
	  banner="$$failed of $$all tests failed"; \
	fi; \
	dashes=`echo "$$banner" | sed s/./=/g`; \
	echo "$$dashes"; \
	echo "$$banner"; \
	echo "$$dashes"; \
	test "$$failed" -eq 0
info-am:
info: info-am
dvi-am:
dvi: dvi-am
check-am: all-am
	$(MAKE) $(AM_MAKEFLAGS) check-TESTS
check: check-am
installcheck-am:
installcheck: installcheck-am
install-exec-am:
install-exec: install-exec-am

install-data-am:
install-data: install-data-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
install: install-am
uninstall-am:
uninstall: uninstall-am
all-am: Makefile $(PROGRAMS)
all-redirect: all-am
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) AM_INSTALL_PROGRAM_FLAGS=-s install
installdirs:


mostlyclean-generic:

clean-generic:

distclean-generic:
	-rm -f Makefile $(CONFIG_CLEAN_FILES)
	-rm -f config.cache config.log stamp-h stamp-h[0-9]*

maintainer-clean-generic:
mostlyclean-am:  mostlyclean-noinstPROGRAMS mostlyclean-compile \
		mostlyclean-libtool mostlyclean-tags mostlyclean-depend \
		mostlyclean-generic

mostlyclean: mostlyclean-am

clean-am:  clean-noinstPROGRAMS clean-compile clean-libtool clean-tags \
		clean-depend clean-generic mostlyclean-am

clean: clean-am

distclean-am:  distclean-noinstPROGRAMS distclean-compile \
		distclean-libtool distclean-tags distclean-depend \
		distclean-generic clean-am
	-rm -f libtool

distclean: distclean-am

maintainer-clean-am:  maintainer-clean-noinstPROGRAMS \
		maintainer-clean-compile maintainer-clean-libtool \
		maintainer-clean-tags maintainer-clean-depend \
		maintainer-clean-generic distclean-am
	@echo "This command is intended for maintainers to use;"
	@echo "it deletes files that may require special tools to rebuild."

maintainer-clean: maintainer-clean-am

.PHONY: mostlyclean-noinstPROGRAMS distclean-noinstPROGRAMS \
clean-noinstPROGRAMS maintainer-clean-noinstPROGRAMS \
mostlyclean-compile distclean-compile clean-compile \
maintainer-clean-compile mostlyclean-libtool distclean-libtool \
clean-libtool maintainer-clean-libtool tags mostlyclean-tags \
distclean-tags clean-tags maintainer-clean-tags distdir \
mostlyclean-depend distclean-depend clean-depend \
maintainer-clean-depend check-TESTS info-am info dvi-am dvi check \
check-am installcheck-am installcheck install-exec-am install-exec \
install-data-am install-data install-am install uninstall-am uninstall \
all-redirect all-am all installdirs mostlyclean-generic \
distclean-generic clean-generic maintainer-clean-generic clean \
mostlyclean distclean maintainer-clean


# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:
